> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crosmos.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Space

> Get a memory space by UUID.



## OpenAPI

````yaml https://api.crosmos.dev/openapi.json get /api/v1/spaces/{space_uuid}
openapi: 3.1.0
info:
  title: Crosmos Memory API
  description: Agent memory system with hybrid retrieval
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/spaces/{space_uuid}:
    get:
      tags:
        - spaces
      summary: Get Space
      description: Get a memory space by UUID.
      operationId: get_space_api_v1_spaces__space_uuid__get
      parameters:
        - name: space_uuid
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Space Uuid
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SpaceResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    SpaceResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        org_id:
          type: string
          format: uuid
          title: Org Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - org_id
        - name
        - description
        - meta
        - created_at
        - updated_at
      title: SpaceResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      description: JWT access token or API key (csk_…)
      scheme: bearer

````